Name:    weightwatcher
Version: 1.12
Release: %mkrel 9
Summary: Weight-map/flag-map multiplexer and rasteriser

Group:   Sciences/Astronomy
License: GPLv3
URL:     https://www.astromatic.net/software/%{name}
Source0: https://www.astromatic.net/download/%{name}/%{name}-%{version}.tar.gz

#fix missing format argument
Patch0:  weightwatcher-1.12-sprintf.patch

%description
WeightWatcher is a program that combines weight-maps, flag-maps and
polygon data in order to produce control maps which can directly be
used in astronomical image-processing packages like Drizzle, Swarp or
SExtractor.

%prep
%setup -q
%autopatch -p1

%build
CFLAGS="%{optflags} -fcommon"
%configure
%make_build 

%install
%make_install

%files
%{_bindir}/ww
%{_datadir}/%{name}/ww.xsl
%{_mandir}/man1/ww.1*
%{_mandir}/manx/ww.x*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.12-9.mga10
+ Revision: 2195661
- Mageia 10 Mass Rebuild

* Tue Mar 15 2022 umeabot <umeabot> 1.12-8.mga9
+ Revision: 1792864
- Mageia 9 Mass Rebuild

* Tue Jun 09 2020 joequant <joequant> 1.12-7.mga8
+ Revision: 1591414
- fix for gcc10

* Fri Feb 14 2020 umeabot <umeabot> 1.12-6.mga8
+ Revision: 1518065
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.12-5.mga7
+ Revision: 1301662
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.12-4.mga6
+ Revision: 946127
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.12-3.mga5
+ Revision: 743339
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.12-2.mga5
+ Revision: 690292
- Mageia 5 Mass Rebuild

* Wed Jul 02 2014 eatdirt <eatdirt> 1.12-1.mga5
+ Revision: 642039
- Upgrade to version 1.12

* Sat Oct 19 2013 umeabot <umeabot> 1.8.10-2.mga4
+ Revision: 530620
- Mageia 4 Mass Rebuild

* Sun Jul 14 2013 joequant <joequant> 1.8.10-1.mga4
+ Revision: 454027
- imported package weightwatcher

